# Hardware 

* compare `/proc/interrupts` between a physical machine, a VM and a Raspberry Pi
* compare `/proc/ioports` between a physical machine, a VM and a Raspberry Pi
* compare `/proc/dma` between a physical machine, a VM and a Raspberry Pi
* install a physical machine, first with BIOS, next with UEFI via debian expert install
* inspect the link between `kernelspace` and `userspace` via `strace`
* learn about device ID's via `udev` rules
* manage hdd's in a VM to explore SATA, SCSI, etc
* install debian on a LVM and expand with a second disk
* add a new hdd after installation, format, mount it and add it to fstab

# Booting

* replace systemd with sysV

# Topic 103: GNU and Unix Commands

* explore different shells
* basic regex exercises
* vim regex exercises on html/md files
* sed exercises for multiple files

# 103.5	 Create, monitor and kill processes

* deep dive into htop with strace and lsof
* use ps and pgrep for scripting purposes
* practical usage of `nice` with compilation tests
* `nohup`

# 104.6	 Create and change hard and symbolic links

* git dotfiles with symlinks
* nginx sites-enabled vs sites-available
